Function Get-ViewerRemote($ComputerName){
    
    if(!(Test-Connection -ComputerName $ComputerName -Count 1))
    {
        Write-Host "Exiting Viewer Remote...No connection made to [$ComputerName]" -ForegroundColor Red
        break
    }

    $paths = @(
        "C:\Program Files (x86)\ConfigMgr\bin\i386\CmRcViewer.exe",
        "C:\Program Files (x86)\ConfigMgr Console\bin\i386\CmRcViewer.exe",
        "C:\Program Files (x86)\Microsoft Configuration Manager\AdminConsole\bin\i386\CmRcViewer.exe",
        "C:\Program Files\CMremoteControl\CmRcViewer.exe"
    )

    foreach ($path in $paths) {
        if (-not (Test-path $path)) { continue }
        Write-Host "Attempting to remote into [$ComputerName]..." -ForegroundColor Green
        Start-Process $path $ComputerName
        return
    }

    Write-Host "`nRemote Viewer Install Path Not Found...`nPlease install Config Manager Thick Client" -ForegroundColor Red
}
